﻿Imports MySql.Data.MySqlClient
Imports CrystalDecisions.CrystalReports.Engine
Imports CrystalDecisions.Windows.Forms

Module CrudQuery
    Dim result As Integer
    Dim cmd As New MySqlCommand
    Public Function myInsert(ByVal sql As String) As Boolean
        If ConnectionState.Open Then
            con.Close()
        End If
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql

                result = cmd.ExecuteNonQuery
                If result = 0 Then
                    Return False
                Else
                    Return True
                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        End Try
        con.Close()

    End Function
    Public Function myDelete(ByVal sql As String) As Boolean
        If ConnectionState.Open Then
            con.Close()
        End If
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql

                result = cmd.ExecuteNonQuery
                If result = 0 Then
                    Return False
                Else
                    Return True
                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        End Try
        con.Close()

    End Function
    Public Function myUpdate(ByVal sql As String) As Boolean
        If ConnectionState.Open Then
            con.Close()
        End If
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql

                result = cmd.ExecuteNonQuery
                If result = 0 Then
                    Return False
                Else
                    Return True
                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Information)
        End Try
        con.Close()

    End Function

    Public Sub PrintReport(ByVal FilePath As String, ByVal ReportViewer As CrystalReportViewer)
        Dim Report As New ReportDocument
        DtResult = New DataTable

        Try
            Dim QueryResultCount As Integer = 0

            DbAdapter.SelectCommand = DbCmd
            DbAdapter.Fill(DtResult)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try

        Report.Load(Application.StartupPath & FilePath)
        Report.SetDataSource(DtResult)
        ReportViewer.ReportSource = Report
        ReportViewer.Refresh()
    End Sub
End Module
