﻿Public Class frmTabulation
    Dim JudgeCount = 0


    Private Sub frmTabulation_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        DgvTabulation.Rows.Clear()

        mySelectQuery("SELECT `ID`, `Contest_Name` FROM `tblcontest`")
        fillcombo(cbContestName, "Contest_Name", "ID")

    End Sub

    Private Sub BtnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnLoad.Click
        Dim Query = ""
        DgvTabulation.Rows.Clear()
        If Not cbContestName.Text = "" Then
            JudgeCount = GetSingleValue("SELECT COUNT(id) FROM `tbladdacount` WHERE contest_id=" & cbContestName.SelectedValue)
            If cbViewtype.Text = "Over All Score" Then
                Query = "SELECT performer.name AS `Performer`, SUM(POINT.score) AS `Score` FROM tblpoints AS POINT, tbladdacount AS judge, tblcontest AS contest, tblperformer AS performer WHERE POINT.judge_id = judge.id AND POINT.contest_id = contest.id AND POINT.performer_id = performer.id AND POINT.contest_id=" & cbContestName.SelectedValue & " GROUP BY performer.name ORDER BY `Score` DESC"
                mySelectQuery(Query)
                LoadData(DgvTabulation, "Tabulation")

                For Each Row As DataGridViewRow In DgvTabulation.Rows
                    Row.Cells(1).Value = Math.Round(Row.Cells(1).Value / JudgeCount)
                Next
            Else
                FrmTabulationScore.SelectedContestId = cbContestName.SelectedValue
                FrmTabulationScore.ShowDialog()
            End If
        Else
            MessageBox.Show("Please select a contest first.", "", MessageBoxButtons.OK, MessageBoxIcon.Warning)
        End If
    End Sub

    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click

    End Sub
End Class