﻿Imports MySql.Data.MySqlClient
Module SelectQuery
    Dim cmd As New MySqlCommand
    Dim dt As New DataTable
    Dim da As New MySqlDataAdapter
    Dim dbReader As MySqlDataReader

    Public DbAdapter As New MySqlDataAdapter
    Public DbDataReader As MySqlDataReader
    Public DbCmd As New MySqlCommand
    Public DtResult As DataTable
    Public Sub mySelectQuery(ByVal sql As String)
        If ConnectionState.Open Then
            con.Close()
        End If
        Try
            con.Open()
            With cmd
                .Connection = con
                .CommandText = sql
            End With

        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation)
        End Try
        con.Close()
        da.Dispose()
    End Sub
    Public Sub LoadData(ByVal obj As Object, ByVal caseswitch As String)
        Dim Counter = 1
        Dim MaxPoints = 100

        If ConnectionState.Open Then
            con.Close()
        End If
        Try

            con.Open()
            dbReader = cmd.ExecuteReader()
            obj.rows.clear()

            Do While dbReader.Read = True
                Select Case caseswitch
                    Case "ContestName"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2))
                    Case "Performer"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2))
                    Case "Scoring"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3))
                    Case "ScoringWithPoints"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3), dbReader(4))
                    Case "Criteria"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3))
                    Case "AddAccount"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3), dbReader(4))
                    Case "Tabulation"
                        obj.Rows.Add(dbReader(0), dbReader(1), Counter)
                        Counter += 1
                    Case "TabulationScore"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2), dbReader(3))
                    Case "Contest"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2))
                    Case "Performer"
                        obj.Rows.Add(dbReader(0), dbReader(1), dbReader(2))
                End Select
            Loop

        Catch ex As Exception

        End Try
        con.Close()
    End Sub
    Public Function getsvalue()
        Dim Result = Nothing

        con.Open()
        dbReader = cmd.ExecuteReader

        While dbReader.Read
            result = dbReader(0)
        End While
        con.Close()

        Return Result
    End Function
    Public Sub myReporting(ByVal RpTsql As String, ByVal rptname As String)


        dt = New DataTable

        Try
            myconn.Open()

            cmd.Connection = myconn()
            cmd.CommandText = RpTsql
            da.SelectCommand = cmd
            da.Fill(dt)

            Dim reportpath As String = Application.StartupPath & "\Reports\" & rptname & ".rpt"

            If Not IO.File.Exists(reportpath) Then
                MsgBox("Unable to locate file!")
            End If
            '
            'Dim reportdoc As New CrystalDecisions.CrystalReports.Engine.ReportDocument
            ' reportdoc.Load(reportpath)
            '  reportdoc.SetDataSource(dt)
            ' With frmReport
            '.CrystalReportViewer1.ReportSource = reportdoc



            ' .ShowDialog()
            'reportdoc.PrintToPrinter(1, True, 1, 1)

            '  End With

        Catch ex As Exception

        End Try

    End Sub
    Public Sub Checkresult(ByVal CaseResult As String)

        Dim table As New DataTable

        Try
            da.SelectCommand = cmd
            da.Fill(table)

            If table.Rows.Count > 0 Then

                Select Case CaseResult

                    Case "Login"
                        Username = table.Rows(0).Item("username")
                        UserId = table.Rows(0).Item("id")
                        Main.LblLoggedInUser.Text = "Logged in as " & Username

                        With frmLogin
                            If .UsernameTextBox.Text = table.Rows(0).Item("username") And .PasswordTextBox.Text = table.Rows(0).Item("password") Then

                                If table.Rows(0).Item("user_type") = "Administrator" Then
                                    Main.btnContest.Visible = True
                                    Main.btnPerformer.Visible = True
                                    Main.btnCriteria.Visible = True
                                    Main.btnScoring.Visible = True
                                    Main.btnTabulation.Visible = True
                                    Main.btnSettings.Visible = True

                                    Main.lblContest.Visible = True
                                    Main.lblPerformer.Visible = True
                                    Main.lblCriteria.Visible = True
                                    Main.lblSettings.Visible = True
                                    Main.lblScoring.Visible = True
                                    Main.lblTabulation.Visible = True


                                Else
                                    Main.btnScoring.Visible = True
                                    Main.lblScoring.Visible = True
                                End If

                                Main.lbllogin.Text = "Logout"
                                frmLogin.Close()
                            Else
                                MessageBox.Show("Incorrect Username or Password" & vbNewLine & "Please try again.", "", MessageBoxButtons.OK, MessageBoxIcon.Warning)
                            End If
                        End With
                End Select

            Else
                Select Case CaseResult

                    Case "AraOwala"
                        '  MsgBox("Wala stock nga " & frmSalesCashiering.txtbarcode.Text & "")
                    Case "QuantityDivide"
                        '  MsgBox("Wala stock nga " & frmSalesCashiering.txtbarcode.Text & "")

                    Case "Login"
                        MsgBox("Please Contact our Boss!")
                End Select
            End If

        Catch ex As Exception

        End Try
        con.Close()

    End Sub
    Public Sub LoadSingleResult(ByVal param As String)
       
        Try
           
            con.Open()
            dbReader = cmd.ExecuteReader()

            Select Case param
                Case "LoadItemMany"
                    Do While dbReader.Read = True

                        ' With frmSalesCashiering
                        'Dim total As Double
                        ' total = dbReader("ITEMAMOUNT") * Val(frmSalesCashiering.txtquantity.Text)

                        '.dgvItemList.Rows.Add(dbReader("ITEMCODE"), dbReader("ITEMNAME"), dbReader("ITEMAMOUNT"), frmSalesCashiering.txtquantity.Text, total, dbReader("ITEMSID"))

                        ' End With

                    Loop
                Case "Contest"

                    Do While dbReader.Read = True

                        With frmcriteria
                            '.txtcriteria.Text = dbReader("CONTESTN")
                            
                        End With

                    Loop
                
            End Select


        Catch ex As Exception

        End Try
        con.Close()
    End Sub
    Public Sub fillcombo(ByVal combo As ComboBox, ByVal member As String, ByVal idparam As String)
        Dim Publictable As New DataTable
        Try

            da.SelectCommand = cmd
            da.Fill(Publictable)
            With combo
                .datasource = Publictable
                .displaymember = member
                .ValueMember = idparam
                .SelectedIndex = -1
                .AutoCompleteSource = AutoCompleteSource.ListItems
                .AutoCompleteMode = AutoCompleteMode.Suggest
            End With
            da.Dispose()

        Catch ex As Exception


        End Try

    End Sub
End Module
