﻿Public Class frmscoring
    Dim Performer = Nothing

    Private Sub frmscoring_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        DtgPerformers.Rows.Clear()
        DtgScore.Rows.Clear()

        mySelectQuery("SELECT `ID`, `Contest_Name` FROM `tblcontest`")
        fillcombo(cbContestName, "Contest_Name", "ID")
    End Sub

    Private Sub DtgPerformers_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgPerformers.CellClick
        mySelectQuery("SELECT `performer_id` FROM `tblpoints` WHERE `performer_id`=" & DtgPerformers.CurrentRow.Cells(0).Value & " AND judge_id=" & UserId)
        Performer = getsvalue()
        DtgScore.Rows.Clear()

        If Performer = Nothing Then
            mySelectQuery("SELECT criteria.`id`, criteria.`Contest_id`, criteria.`name`, criteria.`Points` FROM `tblcriteria` AS criteria, `tblcontest` AS contest WHERE criteria.`contest_id` = contest.`id` AND criteria.`Contest_id` =" & DtgPerformers.CurrentRow.Cells(1).Value)
            LoadData(DtgScore, "Scoring")

        Else
            mySelectQuery("SELECT criteria.`id`, criteria.`Contest_id`, criteria.`name`, criteria.`Points`, point.score AS `Score` FROM `tblcriteria` AS criteria, `tblcontest` AS contest, `tblpoints` AS POINT WHERE criteria.`contest_id` = contest.`id` AND POINT.contest_id = contest.id AND POINT.criteria_id = criteria.id AND criteria.`Contest_id` =" & DtgPerformers.CurrentRow.Cells(1).Value & " AND point.performer_id =" & DtgPerformers.CurrentRow.Cells(0).Value & " AND POINT.judge_id=" & UserId)
            LoadData(DtgScore, "ScoringWithPoints")
        End If
    End Sub

    Private Sub DtgScore_CellEndEdit(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgScore.CellEndEdit
        If DtgScore.CurrentRow.Cells(4).Value > DtgScore.CurrentRow.Cells(3).Value Then
            MessageBox.Show("The maximum points allowed on " & DtgScore.CurrentRow.Cells(2).Value & " is " & DtgScore.CurrentRow.Cells(3).Value & " only!", "Warning!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            DtgScore.CurrentRow.Cells(4).Value = Nothing
        End If
    End Sub

    Private Sub BtnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnLoad.Click
        DtgPerformers.Rows.Clear()
        DtgScore.Rows.Clear()

        mySelectQuery("SELECT performer.`ID`, contest.`id`, performer.`Name` AS Name FROM `tblperformer` AS performer INNER JOIN tblcontest AS contest WHERE performer.`Contest_id` = contest.id AND contest.id=" & cbContestName.SelectedValue & "")
        LoadData(DtgPerformers, "Performer")
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If Performer = Nothing Then
            For Each Row As DataGridViewRow In DtgScore.Rows
                Dim Query = "INSERT INTO `tblpoints`(`judge_id`, `contest_id`, `performer_id`, `criteria_id`, `score`) VALUES (" & UserId & "," & cbContestName.SelectedValue & "," & DtgPerformers.CurrentRow.Cells(0).Value & "," & Row.Cells(0).Value & "," & Row.Cells(4).Value & ")"
                myInsert(Query)
                Debug.WriteLine("Score Query: " & Query)
            Next
            MessageBox.Show("Score has been saved successfully.", "", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Else
            For Each Row As DataGridViewRow In DtgScore.Rows
                Dim Query = "UPDATE `tblpoints` SET `judge_id`=" & UserId & ",`contest_id`=" & cbContestName.SelectedValue & ",`performer_id`=" & DtgPerformers.CurrentRow.Cells(0).Value & ",`criteria_id`=" & Row.Cells(0).Value & ",`score`=" & Row.Cells(4).Value & " WHERE 1"
                myInsert(Query)
            Next
            MessageBox.Show("Score has been updated successfully.", "", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If

        Performer = Nothing
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Close()
    End Sub
End Class