-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Dec 25, 2017 at 07:20 AM
-- Server version: 10.1.28-MariaDB
-- PHP Version: 7.1.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `dbjudge`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbladdacount`
--

CREATE TABLE `tbladdacount` (
  `ID` int(11) NOT NULL,
  `contest_id` int(11) NOT NULL,
  `Username` varchar(50) NOT NULL,
  `Password` varchar(50) NOT NULL,
  `Type` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbladdacount`
--

INSERT INTO `tbladdacount` (`ID`, `contest_id`, `Username`, `Password`, `Type`) VALUES
(1, 0, 'admin', 'admin', 'Administrator'),
(5, 1, 'a', 'a', 'Judge'),
(6, 1, 'b', 'b', 'Judge'),
(7, 1, 'c', 'c', 'Judge');

-- --------------------------------------------------------

--
-- Table structure for table `tblcontest`
--

CREATE TABLE `tblcontest` (
  `ID` int(11) NOT NULL,
  `Contest_Name` varchar(50) NOT NULL,
  `Description` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcontest`
--

INSERT INTO `tblcontest` (`ID`, `Contest_Name`, `Description`) VALUES
(1, 'Singing', 'Kanta');

-- --------------------------------------------------------

--
-- Table structure for table `tblcriteria`
--

CREATE TABLE `tblcriteria` (
  `ID` int(11) NOT NULL,
  `Contest_id` int(11) NOT NULL,
  `Name` varchar(50) NOT NULL,
  `Points` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcriteria`
--

INSERT INTO `tblcriteria` (`ID`, `Contest_id`, `Name`, `Points`) VALUES
(5, 2, 'Audience Impact', 60),
(7, 3, 'Creativity', 30),
(8, 3, 'Audience Impact', 30),
(15, 4, 'Voice Quality', 20),
(16, 4, 'Posture', 30),
(17, 1, 'Voice Quality', 50),
(18, 1, 'Posture', 20),
(19, 1, 'Audience Impact', 30);

-- --------------------------------------------------------

--
-- Table structure for table `tblperformer`
--

CREATE TABLE `tblperformer` (
  `ID` int(11) NOT NULL,
  `Contest_id` int(50) NOT NULL,
  `Name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblperformer`
--

INSERT INTO `tblperformer` (`ID`, `Contest_id`, `Name`) VALUES
(9, 1, 'John'),
(10, 1, 'james'),
(11, 1, 'ana');

-- --------------------------------------------------------

--
-- Table structure for table `tblpoints`
--

CREATE TABLE `tblpoints` (
  `id` int(11) NOT NULL,
  `judge_id` int(11) NOT NULL,
  `contest_id` int(11) NOT NULL,
  `performer_id` int(11) NOT NULL,
  `criteria_id` int(11) NOT NULL,
  `score` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblpoints`
--

INSERT INTO `tblpoints` (`id`, `judge_id`, `contest_id`, `performer_id`, `criteria_id`, `score`) VALUES
(31, 1, 1, 5, 1, 20),
(32, 1, 1, 5, 14, 80),
(33, 1, 1, 7, 1, 20),
(34, 1, 1, 7, 14, 80),
(35, 1, 1, 8, 1, 20),
(36, 1, 1, 8, 14, 80),
(37, 2, 1, 5, 1, 20),
(38, 2, 1, 5, 14, 80),
(39, 2, 1, 8, 1, 20),
(40, 2, 1, 8, 14, 70),
(41, 5, 1, 9, 17, 40),
(42, 5, 1, 9, 18, 15),
(43, 5, 1, 9, 19, 10),
(44, 5, 1, 10, 17, 50),
(45, 5, 1, 10, 18, 15),
(46, 5, 1, 10, 19, 30),
(47, 5, 1, 11, 17, 50),
(48, 5, 1, 11, 18, 20),
(49, 5, 1, 11, 19, 30),
(50, 6, 1, 9, 17, 25),
(51, 6, 1, 9, 18, 10),
(52, 6, 1, 9, 19, 15),
(53, 6, 1, 10, 17, 50),
(54, 6, 1, 10, 18, 5),
(55, 6, 1, 10, 19, 25),
(56, 6, 1, 11, 17, 40),
(57, 6, 1, 11, 18, 15),
(58, 6, 1, 11, 19, 20),
(59, 7, 1, 9, 17, 20),
(60, 7, 1, 9, 18, 20),
(61, 7, 1, 9, 19, 30),
(62, 7, 1, 10, 17, 30),
(63, 7, 1, 10, 18, 15),
(64, 7, 1, 10, 19, 25),
(65, 7, 1, 11, 17, 50),
(66, 7, 1, 11, 18, 20),
(67, 7, 1, 11, 19, 30);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbladdacount`
--
ALTER TABLE `tbladdacount`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tblcontest`
--
ALTER TABLE `tblcontest`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tblcriteria`
--
ALTER TABLE `tblcriteria`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tblperformer`
--
ALTER TABLE `tblperformer`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `tblpoints`
--
ALTER TABLE `tblpoints`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbladdacount`
--
ALTER TABLE `tbladdacount`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblcontest`
--
ALTER TABLE `tblcontest`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tblcriteria`
--
ALTER TABLE `tblcriteria`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `tblperformer`
--
ALTER TABLE `tblperformer`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tblpoints`
--
ALTER TABLE `tblpoints`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=68;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
